Skip to main content
GET
/
api
/
personal-trading-history
/
{address}
/
stats
Get Wallet Trading Stats
curl --request GET \
  --url https://backend-global.gains.trade/api/personal-trading-history/{address}/stats
{
  "totalVolume": 123,
  "totalTrades": 123,
  "winRate": 123,
  "thirtyDayVolume": 123,
  "updatedAt": 123,
  "cacheInitializedAt": 123
}

Endpoint

GET /api/personal-trading-history/{address}/stats Returns all-time and 30-day trading statistics for a wallet.

Parameters

ParameterLocationRequiredTypeDescription
addresspathYesstringTrader wallet address.
chainIdqueryYesintegerBlockchain chain ID. Common values: 42161 Arbitrum, 8453 Base, 137 Polygon.

Usage Example

curl -X GET "https://backend-global.gains.trade/api/personal-trading-history/0x0000000000000000000000000000000000000000/stats?chainId=42161"

Response Structure

The generated API panel lists the response schema for status codes: 200, 400, 500. Error responses generally return an error or message field.

Path Parameters

address
string
required

Trader wallet address.

Example:

"0x0000000000000000000000000000000000000000"

Query Parameters

chainId
integer
required

Blockchain chain ID. Common values: 42161 Arbitrum, 8453 Base, 137 Polygon.

Example:

42161

Response

Successful response

totalVolume
number

All-time leveraged trading volume in USD.

totalTrades
integer

All-time trade count.

winRate
number

All-time win rate percentage.

thirtyDayVolume
number

Leveraged trading volume over the last 30 days in USD.

updatedAt
integer

Last incremental update timestamp in milliseconds.

cacheInitializedAt
integer

Cache initialization timestamp in milliseconds.